/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.repository;

import java.util.List;
import org.junit.After;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import rs.telenor.TelenorApplicationTests;
import rs.telenor.model.Company;

/**
 *
 * @author Korisnik
 */
public class CompanyRepositoryTests extends TelenorApplicationTests {

    @Autowired
    private CompanyRepository companyRepository;
    
    private Company c;
    
    @Before
    public void setup() {
        System.out.println("========= Test");
    }

    @After
    public void end() {
        System.out.println("========= Test end");
        
    }

    @Test
    public void saveTest() {
        Company c = companyRepository.save(new Company("Telenor", null));
        assertNotNull(c);
        assertEquals("Telenor", c.getName());
    }

    @Test
    public void findTest() {
        Company c = companyRepository.save(new Company("Telenor", null));
        Company companyDB = companyRepository.findOne(c.getId());
        assertNotNull(c);
        assertNotNull(companyDB);
        assertEquals(c, companyDB);
    }
    
    @Test
    public void findAllTest() {
        Company c1 = companyRepository.save(new Company("Telenor", null));
        Company c2 = companyRepository.save(new Company("Telenor Banka", null));
        assertNotNull(c1);
        assertNotNull(c2);
        
        List<Company> list = companyRepository.findAll();
        assertFalse(list.isEmpty());
        assertTrue(list.size() >= 2);
        assertTrue(list.contains(c1));
        assertTrue(list.contains(c2));
    }

}
